-- DivineLoadoutScript
-- Author: Icefrenzy
-- DateCreated: 10/31/2014 9:38:49 PM
--------------------------------------------------------------
include( "SaveUtils" ); MY_MOD_NAME = "DivinityPlugin";
print("Divine Loadout Script loaded! Credits to Vicevirtuoso for script structure.")

Events.SerialEventCityCreated.Add(function(hexPos, playerID, cityID, cultureType, eraType, continent, populationSize, size, fowState)
	local currentCity = Players[playerID]:GetCityByID(cityID);
	local currentColonists = PreGame.GetLoadoutColonist(playerID);
	local currentCargo = PreGame.GetLoadoutCargo(playerID);
	local currentCraft = PreGame.GetLoadoutSpacecraft(playerID);
	print(GameInfo.Cargo["CARGO_DCQC"].ID);
	print(GameInfo.Cargo["CARGO_KM"].ID);
	print(GameInfo.Spacecraft["SPACECRAFT_DMShip"].ID);
	if(Players[playerID] ~= Players[Game.GetActivePlayer()]) then
		if(currentColonists == GameInfo.Colonists["COLONIST_DSEAL"].ID) then
			print("AI " .. playerID .. " has Divine Beings! Replacing benefit..");
			-- Remove or comment out from here
			if(currentColonists == GameInfo.Colonists["COLONIST_DSEAL"].ID) then
				for pCity in Players[playerID]:Cities() do
					pCity:SetNumRealBuilding(GameInfo.Buildings["BUILDING_RELIC"].ID, 1)
				end
			end
			-- to here to disable AI getting Relic instead of Diving Beings
		else
			print("AI " .. playerID .. " has no Divine Beings!");
		end
		if(currentColonists == GameInfo.Colonists["COLONIST_DHEALER"].ID) then
			print("AI " .. playerID .. " has White Mages! Replacing benefit..");
			-- Remove or comment out from here
			if(currentColonists == GameInfo.Colonists["COLONIST_DHEALER"].ID) then
				for pCity in Players[playerID]:Cities() do
					pCity:SetNumRealBuilding(GameInfo.Buildings["BUILDING_CLINIC"].ID, 1)
				end
			end
			-- to here to disable AI getting Clinic instead of White Mages
		else
			print("AI " .. playerID .. " has no White Mages!");
		end
	else
		print("Valkyries is played by human player.");
		if(currentColonists == GameInfo.Colonists["COLONIST_DSEAL"].ID) then
			for pCity in Players[playerID]:Cities() do
				pCity:SetNumRealBuilding(GameInfo.Buildings["BUILDING_DIVINE_BEINGS"].ID, 1)
			end
		end
		if(currentColonists == GameInfo.Colonists["COLONIST_DHEALER"].ID) then
			for pCity in Players[playerID]:Cities() do
				pCity:SetNumRealBuilding(GameInfo.Buildings["BUILDING_WHITE_MAGES"].ID, 1)
			end
		end
	end;

	-- UNCOMMENT THIS LINE TO ENABLE DIVINE BEINGS AND WHITE MAGES FOR AI USE.
	--if(currentColonists == GameInfo.Colonists["COLONIST_DSEAL"].ID) then
	--		for pCity in Players[playerID]:Cities() do
	--			pCity:SetNumRealBuilding(GameInfo.Buildings["BUILDING_DIVINE_BEINGS"].ID, 1)
	--		end
	--	end
	--	if(currentColonists == GameInfo.Colonists["COLONIST_DHEALER"].ID) then
	--		for pCity in Players[playerID]:Cities() do
	--			pCity:SetNumRealBuilding(GameInfo.Buildings["BUILDING_WHITE_MAGES"].ID, 1)
	--		end
	--	end
	--

	if(currentCargo == GameInfo.Cargo["CARGO_DCQC"].ID) then
		print("Compact Pentacore Computers detected! Credits to Kleinzach for script structure.");
		local team = Teams[Players[playerID]:GetTeam()];
		team:SetHasTech(GameInfo.Technologies["TECH_COMPUTING"].ID , true)
	else
		print("No Compact Pentacore Computers");
	end
	if (cityID == (Players[playerID]:GetCapitalCity()):GetID()) then
		--For the KMC Cargo
		if load(Players[playerID], GameInfo.Cargo["CARGO_KM"].ID) ~= true then
			if ( currentCargo ==GameInfo.Cargo["CARGO_KM"].ID  ) then
				print("Kindered Machine detected! Credits to Kleinzach for script structure.");
				Players[playerID]:InitUnit(GameInfoTypes["UNIT_CNDR"],currentCity:GetX(),currentCity:GetY());
				save(Players[playerID], GameInfo.Cargo["CARGO_KM"].ID, true );
			else
				print("No Kindered Machine Cargo");
			end
		end
		if load(Players[playerID], GameInfo.Spacecraft["SPACECRAFT_DMShip"].ID) ~= true then
			if ( currentCraft == GameInfo.Spacecraft["SPACECRAFT_DMShip"].ID) then
				print("Divine Mothership detected! Credits to Kleinzach for script structure.");
				Players[playerID]:InitUnit(GameInfoTypes["UNIT_AIR_FIGHTER"],currentCity:GetX(),currentCity:GetY());
				Players[playerID]:InitUnit(GameInfoTypes["UNIT_AIR_FIGHTER"],currentCity:GetX(),currentCity:GetY());
				Players[playerID]:InitUnit(GameInfoTypes["UNIT_MARINE"],currentCity:GetX(),currentCity:GetY());
				Players[playerID]:InitUnit(GameInfoTypes["UNIT_MARINE"],currentCity:GetX(),currentCity:GetY());
				Players[playerID]:InitUnit(GameInfoTypes["UNIT_MARINE"],currentCity:GetX(),currentCity:GetY());
				save(Players[playerID], GameInfo.Spacecraft["SPACECRAFT_DMShip"].ID, true );
			else
				print("No with Divine Mothership.");
			end
		end
	end
end);
